Imports IntraSell_DLL
Imports IntraSell_Net_Base

Public Class Bank
    Inherits AbstractForm

    Private Sub Form_Verlassen() Handles MyBase.Verlassen
        Me.Close()
    End Sub

    Private Sub GrbankenBindingNavigatorSaveItem_Click(sender As Object, e As System.EventArgs) Handles MyBase.Save
        Try
            Validate()
            GrbankenBindingSource.EndEdit()
            TableAdapterManager.UpdateAll(DsStammdaten)

        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub Bank_Load(sender As Object, e As System.EventArgs) Handles MyBase.Load
        Try
            GrbankenTableAdapter.Fill(DsStammdaten.grbanken)
            ds = DsStammdaten
            ParentBindingNavigator.BindingSource = GrbankenBindingSource
        Catch ex As Exception
            HandleAppError(ex, Silent:=True)
        End Try
    End Sub

End Class